Subject: bug#12450: Remove configure's --without-sync-input option.

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Sep 2012 11:10:30 -0400

> That's an exaggeration.  Just a year ago I finished working on a major
> change in the display engine.  I do understand the code I changed.
> I'm quite sure that Stefan has similar, if not better, understanding
> of the parts he changed to introduce lexical binding.

[ BTW, let's not forget that most of the lexical-binding code was
  written by Miles.  ]
An important difference is that the code involved in lexical-binding
(or in the buffer-local bindings which I rewrote around the same time)
is platform independent.  So it does not depend on trying to imagine
what might happen on this and that long-forgotten system which used some
particular unusual combination of CPP flags.

        Stefan